# Uses of Enum Class
org.bukkit.event.entity.CreatureSpawnEvent.SpawnReason

Packages that use CreatureSpawnEvent.SpawnReason
Package
Description
com.destroystokyo.paper.event.entity
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of CreatureSpawnEvent.SpawnReason in com.destroystokyo.paper.event.entity

Methods in com.destroystokyo.paper.event.entity that return CreatureSpawnEvent.SpawnReason
Modifier and Type
Method
Description
`CreatureSpawnEvent.SpawnReason`
PreCreatureSpawnEvent.`getReason()`
Constructors in com.destroystokyo.paper.event.entity with parameters of type CreatureSpawnEvent.SpawnReason
Modifier
Constructor
Description
``
`PhantomPreSpawnEvent(@NotNull Location location, @NotNull Entity entity, CreatureSpawnEvent.SpawnReason reason)`
``
`PreCreatureSpawnEvent(@NotNull Location location, @NotNull EntityType type, CreatureSpawnEvent.SpawnReason reason)`

## Uses of CreatureSpawnEvent.SpawnReason in org.bukkit

Methods in org.bukkit with parameters of type CreatureSpawnEvent.SpawnReason
Modifier and Type
Method
Description
`<T extends Entity>
T`
RegionAccessor.`spawn(@NotNull Location location, @NotNull Class<T> clazz, @Nullable Consumer<T> function, CreatureSpawnEvent.SpawnReason reason)`
`default <T extends Entity>
T`
RegionAccessor.`spawn(@NotNull Location location, @NotNull Class<T> clazz, CreatureSpawnEvent.SpawnReason reason)`
`default <T extends Entity>
T`
RegionAccessor.`spawn(@NotNull Location location, @NotNull Class<T> clazz, CreatureSpawnEvent.SpawnReason reason, @Nullable Consumer<T> function)`
`default @NotNull Entity`
RegionAccessor.`spawnEntity(@NotNull Location loc, EntityType type, CreatureSpawnEvent.SpawnReason reason)`
`default @NotNull Entity`
RegionAccessor.`spawnEntity(@NotNull Location loc, EntityType type, CreatureSpawnEvent.SpawnReason reason, @Nullable Consumer<Entity> function)`

## Uses of CreatureSpawnEvent.SpawnReason in org.bukkit.entity

Methods in org.bukkit.entity that return CreatureSpawnEvent.SpawnReason
Modifier and Type
Method
Description
`CreatureSpawnEvent.SpawnReason`
Entity.`getEntitySpawnReason()`
Methods in org.bukkit.entity with parameters of type CreatureSpawnEvent.SpawnReason
Modifier and Type
Method
Description
`boolean`
Entity.`spawnAt(@NotNull Location location, CreatureSpawnEvent.SpawnReason reason)`
Spawns the entity in the world at the given `Location` with the reason given.

## Uses of CreatureSpawnEvent.SpawnReason in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return CreatureSpawnEvent.SpawnReason
Modifier and Type
Method
Description
`@NotNull CreatureSpawnEvent.SpawnReason`
CreatureSpawnEvent.`getSpawnReason()`
Gets the reason for why the creature is being spawned.
`static CreatureSpawnEvent.SpawnReason`
CreatureSpawnEvent.SpawnReason.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CreatureSpawnEvent.SpawnReason[]`
CreatureSpawnEvent.SpawnReason.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.entity with parameters of type CreatureSpawnEvent.SpawnReason
Modifier
Constructor
Description
``
`CreatureSpawnEvent(@NotNull LivingEntity spawnee, @NotNull CreatureSpawnEvent.SpawnReason spawnReason)`